@ECHO OFF&PUSHD %~DP0 &TITLE 绿化
taskkill /f /im Qvo*  >NUL 2>NUL
regsvr32 /s npQvodInsert.dll
rd/s/q "%ProgramData%\QvodPlayer\Tip"2>NUL
rd/s/q "%ProgramData%\QvodPlayer\Daily"2>NUL
rd/s/q "%ProgramData%\QvodPlayer\MiniImage"2>NUL
del "%ProgramData%\QvodPlayer\top*.ini">NUL 2>NUL
del "%ProgramData%\QvodPlayer\Cloud.db">NUL 2>NUL
rd/s/q %tmp%\qvodacc 2>NUL&rd/s/q %tmp%\QvodTemp 2>NUL
del %tmp%\Qd*.ini >NUL 2>NUL&del %tmp%\Qvod* >NUL 2>NUL
del "%ProgramData%\QvodPlayer\Playlist\*pop*.xml">NUL 2>NUL
del "%ProgramData%\QvodPlayer\Playlist\*text*.xml">NUL 2>NUL
del "%ProgramData%\QvodPlayer\Playlist\apptops.xml">NUL 2>NUL
del "%ProgramData%\QvodPlayer\Playlist\*wp110*.xml">NUL 2>NUL
del "%ProgramData%\QvodPlayer\Playlist\*hwhite*.xml">NUL 2>NUL
del "%ProgramData%\QvodPlayer\Playlist\*kwtips*.xml" >NUL 2>NUL
del "%ProgramData%\QvodPlayer\Playlist\*Keywords*.xml">NUL 2>NUL
if exist "%PUBLIC%"  md   "%ProgramData%\QvodPlayer" >NUL 2>NUL
if exist "%PUBLIC%" copy /y QvodCfg.ini "%ProgramData%\QvodPlayer">NUL 2>NUL
if exist "%PUBLIC%" copy /y MediaConn.ini "%ProgramData%\QvodPlayer">NUL 2>NUL
if exist "%PUBLIC%" copy /y QvodPlayer.xml "%ProgramData%\QvodPlayer">NUL 2>NUL
reg delete HKCU\Software\Microsoft\Windows\CurrentVersion\Run /v QvodTerminal /F>NUL 2>NUL
reg delete HKLM\Software\Microsoft\Windows\CurrentVersion\Run /v QvodTerminal /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Run /v QvodTerminal /F>NUL 2>NUL
:Menu
echo.&echo +.创建桌面快播QVOD
echo.&echo 1.显示首屏娱乐风向标含搜索[自选]
echo.&echo 2.屏蔽首屏娱乐风向标含搜索[默认]
echo.&echo.
set /p a=输入数字回车：
if "%a%"=="+" Goto DesktopLnk
if "%a%"=="1" Goto ViewData+
if "%a%"=="2" Goto ViewData-
:ViewData+
if exist -ViewData ren -ViewData ViewData >NUL 2>NUL&set e=完成!
Goto MsgBox
:ViewData-
if exist ViewData ren ViewData -ViewData >NUL 2>NUL&set e=完成!
Goto MsgBox
:DesktopLnk
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\快播QVOD.lnk""):b.TargetPath=""%~dp0QvodPlayer.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")&SET E=完成!&GOTO MSGBOX
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close)&Cls&Goto Menu